Bug 770755 - Review Request: gnome-shell-extension-calc - A simple calculator in the search overview
Review Request: gnome-shell-extension-calc - A simple calculator in the searc...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-12-28 19:52 EST by Yader Velásquez
Modified: 2012-02-04 00:30 EST (History)
3 users (show)

See Also:
Fixed In Version: gnome-shell-extension-calc-0-0.3.git2fca097.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-04 00:30:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pikachu.2014: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Yader Velásquez 2011-12-28 19:52:24 EST
Spec URL: http://yaderv.fedorapeople.org/rpm/gnome-shell-extension-calc/gnome-shell-extension-calc.spec
SRPM URL: http://yaderv.fedorapeople.org/rpm/gnome-shell-extension-calc/gnome-shell-extension-calc-0-0.1.git2fca097.fc16.src.rpm

Gnome shell extension that allows to make simple math operations in 
the search overview

Note: I used revision control for source https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control
Comment 1 Mohamed El Morabity 2011-12-29 05:22:27 EST
I will review this package. Some comments for now:

- about these lines:
  # The source for this package was pulled from upstream's git.  Use the
  # following commands to generate the tarball:
  # git clone git://github.com/eonpatapon/gnome-shell-extension-calc.git
  # tar -czvf gnome-shell-extension-calc-2fca097.tar.gz gnome-shell-extension-calc
  Source0:	%{name}-%{git}.tar.gz
The command you give here to retrieve the source always gets the latest commit in the Git repository. You'd better give the way to obtain the sources *corresponding to the packaged commit*, as follows:
  $ git clone git://github.com/eonpatapon/gnome-shell-extension-calc.git
  $ cd gnome-shell-extension-calc/
  $ git archive --format=tar --prefix=%{name}-%{git}/ %{git} | xz > ../%{name}-%{git}.tar.xz
(I used xz instead of gzip to have smaller archives).

Anyway, all of this is useless since you can retrieve from Github an archive of any commit you want. You can have a look a the gnome-shell-extension-icon-manager spec file as an example:

- about the license: the header comments in the extension.js file indicate a GPLv3 (or more) license:
You should update the License tag of your spec file to "GPLv2+".

- %clean target and buildroot cleaning are not required anymore, you can remove them from your spec file:
Comment 2 Yader Velásquez 2012-01-05 23:26:04 EST
Sorry for the delay, I was on vacation :)

I've updated the spec and srpm following your notes.
Spec URL:

Comment 3 Mohamed El Morabity 2012-01-10 18:20:42 EST
You can remove the buildroot cleaning in %install, as explained in the link I gave above. You can also drop the %defattr macro, as described here:

The package is quite good anyway, I will approve it once the issues above fixed :).
Comment 5 Mohamed El Morabity 2012-01-16 08:58:55 EST
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:

[+] MUST: rpmlint must be run on every package.
>>2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.

[+] MUST: The spec file name must match the base package %{name}

[+] MUST: The package must meet the Packaging Guidelines.

[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.

[+] MUST: The License field in the package spec file must match the actual

[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[+] MUST: The spec file must be written in American English.

[+] MUST: The spec file for the package MUST be legible.

[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
>>MD5 sum=a496379de02b7c897796ef20df07cb26 OK

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.

[+] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in

[+] MUST: All build dependencies must be listed in BuildRequires

[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.

[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.

[+] MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review

[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.

[+] MUST: A package must not contain any duplicate files in the %files listing.

[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example.

[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.

[+] MUST: Large documentation files should go in a doc subpackage.

[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.

[+] MUST: Header files must be in a -devel package.

[+] MUST: Static libraries must be in a -static package.

[+] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.

[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =

[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.

[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.

[+] MUST: Packages must not own files or directories already owned by other

[+] MUST: All filenames in rpm packages must be valid UTF-8.

Comment 6 Yader Velásquez 2012-01-16 13:10:49 EST
Thank you Mohamed

New Package SCM Request
Package Name: gnome-shell-extension-calc
Short Description: A simple calculator in the search overview
Owners: yaderv
Branches: f16 f17
Comment 7 Jon Ciesla 2012-01-16 20:12:49 EST
Git done (by process-git-requests).

Not branched yet, f17==devel currently.
Comment 8 Fedora Update System 2012-01-19 15:29:10 EST
gnome-shell-extension-calc-0-0.3.git2fca097.fc16 has been submitted as an update for Fedora 16.
Comment 9 Fedora Update System 2012-01-21 16:51:05 EST
gnome-shell-extension-calc-0-0.3.git2fca097.fc16 has been pushed to the Fedora 16 testing repository.
Comment 10 Fedora Update System 2012-02-04 00:30:57 EST
gnome-shell-extension-calc-0-0.3.git2fca097.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.